#! /usr/bin/env bash

# Avoid rebuilds of the same version
[[ ! -d build ]] && exit 0

source util.sh
cd build

# Number of processor cores
if [[ $(uname) == "OpenBSD" ]]; then
  cores=$(sysctl -n hw.ncpu)
else
  cores=$(nproc)
fi

echo "$TAG Compiling binutils (usually 5-10 minutes)..."

if command -v gmake >/dev/null 2>&1; then
  make_command=gmake
else
  make_command=make
fi

run_quietly giteapc-build.log \
$make_command -j"$cores"
